package com.yonge.cooleshow.admin.io.request;

import com.alibaba.fastjson.JSON;
import com.microsvc.toolkit.common.response.paging.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

import lombok.Data;

/**
 * 平台建议表
 * 2023-12-20 11:27:10
 */
@ApiModel(value = "SysSuggestionVo对象", description = "平台建议表查询视图对象")
public class SysSuggestionVo {

    @Data
    @ApiModel(" SysSuggestionQuery-平台建议表")
    public static class SysSuggestionQuery implements QueryInfo {

        @ApiModelProperty("当前页")
        private Integer page;

        @ApiModelProperty("分页行数")
        private Integer rows;

        public String jsonString() {
            return JSON.toJSONString(this);
        }

        public static SysSuggestionQuery from(String json) {
            return JSON.parseObject(json, SysSuggestionQuery.class);
        }
    }

    @Data
    @ApiModel(" SysSuggestion-平台建议表")
    public static class SysSuggestion {


        @ApiModelProperty("编号")
        private Long id;


        @ApiModelProperty("联系方式")
        private String mobileNo;


        @ApiModelProperty("标题")
        private String title;


        @ApiModelProperty("内容")
        private String content;


        @ApiModelProperty("")
        private String url;


        @ApiModelProperty("用户编号")
        private Long userId;


        @ApiModelProperty("提交时间")
        private Date createTime;


        @ApiModelProperty("")
        private String clientId;


        @ApiModelProperty("建议类型")
        private String type;


        @ApiModelProperty("")
        private String clientType;


        @ApiModelProperty("建议类型ID")
        private Long suggestionTypeId;


        @ApiModelProperty("客户端信息")
        private String userAgent;


        @ApiModelProperty("处理状态：true:已处理，false:待处理")
        private Boolean handleStatus;


        @ApiModelProperty("处理时间")
        private Date handleTime;


        @ApiModelProperty("处理人")
        private Long handleBy;


        @ApiModelProperty("是否反馈用户,true:是，false:否")
        private Boolean feedback;


        @ApiModelProperty("反馈内容")
        private String feedbackContent;


        public String jsonString() {
            return JSON.toJSONString(this);
        }

        public static SysSuggestion from(String json) {
            return JSON.parseObject(json, SysSuggestion.class);
        }
    }

}