package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;


/**
 * 平台建议表
 * 2023-12-20 11:27:10
 */
@Data
@ApiModel(" SysSuggestion-平台建议表")
@TableName("sys_suggestion")
public class SysSuggestion implements Serializable {

	@ApiModelProperty("编号")
	@TableId(value = "id_")
	private Long id;

	@ApiModelProperty("联系方式")
	@TableField(value = "mobile_no_")
	private String mobileNo;

	@ApiModelProperty("标题")
	@TableField(value = "title_")
	private String title;

	@ApiModelProperty("内容")
	@TableField(value = "content_")
	private String content;

	@TableField(value = "url_")
	private String url;

	@ApiModelProperty("用户编号")
	@TableField(value = "user_id_")
	private Long userId;

	@ApiModelProperty("提交时间")
	@TableField(value = "create_time_")
	private Date createTime;

	@TableField(value = "client_id_")
	private String clientId;

	@ApiModelProperty("建议类型")
	@TableField(value = "type_")
	private String type;

	@TableField(value = "client_type_")
	private String clientType;

	@ApiModelProperty("建议类型ID")
	@TableField(value = "suggestion_type_id_")
	private Long suggestionTypeId;

	@ApiModelProperty("客户端信息")
	@TableField(value = "user_agent_")
	private String userAgent;

	@ApiModelProperty("处理状态：true:已处理，false:待处理")
	@TableField(value = "handle_status_")
	private Boolean handleStatus;

	@ApiModelProperty("处理时间")
	@TableField(value = "handle_time_")
	private Date handleTime;

	@ApiModelProperty("处理人")
	@TableField(value = "handle_by_")
	private Long handleBy;

	@ApiModelProperty("是否反馈用户,true:是，false:否")
	@TableField(value = "feedback_")
	private Boolean feedback;

	@ApiModelProperty("反馈内容")
	@TableField(value = "feedback_content_")
	private String feedbackContent;

}