package com.yonge.cooleshow.biz.dal.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.entity.SysSuggestion;
import com.yonge.cooleshow.biz.dal.wrapper.SysSuggestionWrapper;

/**
 * 平台建议表
 * 2023-12-20 11:27:10
 */
public interface SysSuggestionService extends IService<SysSuggestion> {

    /**
     * 查询详情
     * @param id 详情ID
     * @return SysSuggestion
     */
    SysSuggestion detail(Long id);

    /**
     * 分页查询
     * @param page IPage<SysSuggestion>
     * @param query SysSuggestionWrapper.SysSuggestionQuery
     * @return IPage<SysSuggestion>
     */
    IPage<SysSuggestionWrapper.SysSuggestion> selectPage(IPage<SysSuggestionWrapper.SysSuggestion> page, SysSuggestionWrapper.SysSuggestionQuery query);

    /**
     * 添加
     * @param sysSuggestion SysSuggestionWrapper.SysSuggestion
     * @return Boolean
     */
    Boolean add(SysSuggestionWrapper.SysSuggestion sysSuggestion);

    /**
     * 更新
     * @param sysSuggestion SysSuggestionWrapper.SysSuggestion
     * @return Boolean
     */
    Boolean update(SysSuggestionWrapper.SysSuggestion sysSuggestion);

    Boolean handleSuggestion(SysSuggestionWrapper.HandleSuggestion handleSuggestion);

}